package com.taais.demo.domain.vo;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.taais.common.orm.core.domain.BaseEntity;
import com.taais.demo.domain.Data;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.taais.common.excel.annotation.ExcelDictFormat;
import com.taais.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;

import jakarta.validation.constraints.NotBlank;
import lombok.EqualsAndHashCode;
import java.io.Serial;
import java.io.Serializable;

/**
 * 数据管理视图对象 data
 *
 * @author km
 * @date 2024-04-22
 */
@lombok.Data
@ExcelIgnoreUnannotated
//@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = Data.class)
public class DataVo  implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /** id */
    @ExcelProperty(value = "id")
    private Long id;

    /** 名称 */
    @ExcelProperty(value = "名称")
    private String name;

    /** 数据类型 */
    @ExcelProperty(value = "数据类型")
    private String dataType;

    /** 文件类型 */
    @ExcelProperty(value = "文件类型")
    private String fileType;

    /** 目标类型 */
    @ExcelProperty(value = "目标类型")
    private String objectType;

    /** 目标子类型 */
    @ExcelProperty(value = "目标子类型")
    private String objectSubtype;

    /** 批次号 */
    @ExcelProperty(value = "批次号")
    private Long batchNum;

    /** 场景 */
    @ExcelProperty(value = "场景")
    private String scene;

    /** 数据源 */
    @ExcelProperty(value = "数据源")
    private String dataSource;

    /** 采集时间 */
    @ExcelProperty(value = "采集时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gatherTime;

    /** 采集地点 */
    @ExcelProperty(value = "采集地点")
    private String gatherSpot;

    /** 图片url */
//    @ExcelProperty(value = "url")
    private String url;

    /** 扩增方式 */
    @ExcelProperty(value = "扩增方式")
    private String increment;

    /** 是否标注 */
    @ExcelProperty(value = "是否标注")
    private Boolean labeled;



}
